package edu.mermet.tp8.fenetres;

import java.awt.*;
import java.util.*;
import javax.swing.*;
import java.awt.event.*;

public class CommentFaire extends JDialog {

    private JList titres;
    private JEditorPane texte;

    private Properties propTitres;
    private Properties propTextes;

    private Action actTitres;

    public CommentFaire() {
        initActions();
        init();
        initProperties();
        initTextes();
        pack();
        setModal(false);
        setDefaultCloseOperation(DO_NOTHING_ON_CLOSE);
        setLocationRelativeTo(null);
    }

    private void initActions() {
        actTitres = new ActionTitres();
    }

    private void init() {
        titres = new JList(actTitres);
        titres.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
        texte = new JEditorPane();
        JSplitPane pane = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT, new JScrollPane(titres), new JScrollPane(texte));
        add(pane);
    }

    private void initProperties() {
        propTitres = new Properties();
        try {
            propTitres.load(getClass().getClassLoader().getResourcesAsStream("edu/mermet/tp8/HowTo/titres.properties"));
        }catch(Exception e) { e.printStackTrace(); }
        propTextes = new Properties();
        try {
            propTitres.load(getClass().getClassLoader().getResourcesAsStream("edu/mermet/tp8/HowTo/textes.properties"));
        }catch(Exception e) { e.printStackTrace(); }
    }

    private void initTextes() {
        for ( String s : propTitres.stringPropertyNames()) {
            titres.addElement(propTitres.getProperty(s));
        }
    }

    private void changeTexte(String titre) {
        for ( String s : propTextes.stringPropertyNames()) {
            if ( titre.equals(s) ) texte.setText(propTextes.getProperty(s));
        }
    }

    class ActionTitres extends Action {
        public void actionPerformed(ActionEvent e) {
            changeTexte((String) (titres.getSelectedValue()));
        }
    }

}
